db4o |

# Configuration.BTreeNodeSize Method

configures the size of BTree nodes in indexes.

void BTreeNodeSize(
int size
);

#### Parameters

size
  the number of elements held in one BTree node.

#### Remarks

configures the size of BTree nodes in indexes.
Default setting: 100
Lower values will allow a lower memory footprint and more efficient reading and writing of small slots.
Higher values will reduce the overall number of read and write operations and allow better performance at the cost of more RAM use.

#### See Also

Configuration Interface | com.db4o.config Namespace